# -*- encoding: utf-8 -*-
# stub: omniauth-cas3 1.1.3 ruby lib

Gem::Specification.new do |s|
  s.name = "omniauth-cas3"
  s.version = "1.1.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Derek Lindahl, tduehr"]
  s.date = "2015-10-28"
  s.description = "CAS 3.0 Strategy for OmniAuth"
  s.email = ["td@matasano.com"]
  s.files = [".editorconfig", ".gitignore", ".travis.yml", "Gemfile", "LICENSE", "README.md", "Rakefile", "lib/omniauth-cas3.rb", "lib/omniauth/cas3.rb", "lib/omniauth/cas3/version.rb", "lib/omniauth/strategies/cas3.rb", "lib/omniauth/strategies/cas3/logout_request.rb", "lib/omniauth/strategies/cas3/service_ticket_validator.rb", "omniauth-cas3.gemspec", "spec/fixtures/cas_failure.xml", "spec/fixtures/cas_success.xml", "spec/fixtures/cas_success_jasig.xml", "spec/omniauth/strategies/cas3/logout_request_spec.rb", "spec/omniauth/strategies/cas3/service_ticket_validator_spec.rb", "spec/omniauth/strategies/cas3_spec.rb", "spec/spec_helper.rb"]
  s.homepage = "https://github.com/tduehr/omniauth-cas3"
  s.rubygems_version = "2.4.5.1"
  s.summary = "CAS 3.0 Strategy for OmniAuth"
  s.test_files = ["spec/fixtures/cas_failure.xml", "spec/fixtures/cas_success.xml", "spec/fixtures/cas_success_jasig.xml", "spec/omniauth/strategies/cas3/logout_request_spec.rb", "spec/omniauth/strategies/cas3/service_ticket_validator_spec.rb", "spec/omniauth/strategies/cas3_spec.rb", "spec/spec_helper.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<omniauth>, ["~> 1.2"])
      s.add_runtime_dependency(%q<nokogiri>, ["~> 1.6.6"])
      s.add_runtime_dependency(%q<addressable>, ["~> 2.3"])
      s.add_development_dependency(%q<rake>, ["~> 10.0"])
      s.add_development_dependency(%q<webmock>, ["~> 1.19.0"])
      s.add_development_dependency(%q<rspec>, ["~> 3.1.0"])
      s.add_development_dependency(%q<rack-test>, ["~> 0.6"])
      s.add_development_dependency(%q<awesome_print>, [">= 0"])
    else
      s.add_dependency(%q<omniauth>, ["~> 1.2"])
      s.add_dependency(%q<nokogiri>, ["~> 1.6.6"])
      s.add_dependency(%q<addressable>, ["~> 2.3"])
      s.add_dependency(%q<rake>, ["~> 10.0"])
      s.add_dependency(%q<webmock>, ["~> 1.19.0"])
      s.add_dependency(%q<rspec>, ["~> 3.1.0"])
      s.add_dependency(%q<rack-test>, ["~> 0.6"])
      s.add_dependency(%q<awesome_print>, [">= 0"])
    end
  else
    s.add_dependency(%q<omniauth>, ["~> 1.2"])
    s.add_dependency(%q<nokogiri>, ["~> 1.6.6"])
    s.add_dependency(%q<addressable>, ["~> 2.3"])
    s.add_dependency(%q<rake>, ["~> 10.0"])
    s.add_dependency(%q<webmock>, ["~> 1.19.0"])
    s.add_dependency(%q<rspec>, ["~> 3.1.0"])
    s.add_dependency(%q<rack-test>, ["~> 0.6"])
    s.add_dependency(%q<awesome_print>, [">= 0"])
  end
end
